libperl-critic-freenode-perl_0.028-1_all.deb


Advertisement

Description

libperl-critic-freenode-perl - Perl::Critic policies inspired by #perl on freenode IRC

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libperl-critic-freenode-perl_0.028-1_all.deb
Package name libperl-critic-freenode-perl
Package version 0.028
Package release 1
Package architecture all
Package type deb
Category perl
Homepage https://metacpan.org/release/Perl-Critic-Freenode
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 95.26 KB
Installed size 213.00 KB
Perl::Critic::Freenode is a set of Perl::Critic policies to enforce the
practices generally recommended by the denizens of #perl on Freenode
IRC|https://freenode.net/. Because this policy "theme" is designed to be
used with zero configuration on the command line, some duplication will
occur if it is used in combination with core Perl::Critic policies.

Alternatives

Package Version Architecture Repository
libperl-critic-freenode-perl_0.028-1_all.deb 0.028 all Debian Main
libperl-critic-freenode-perl - - -

Requires

Name Value
libpath-tiny-perl >= 0.101
libperl-critic-perl >= 1.126
libperl-critic-policy-variables-prohibitlooponhash-perl -
libperl-critic-pulp-perl -
libscalar-list-utils-perl >= 1:1.33
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libperl-critic-freenode-perl_0.028-1_all.deb
Source Package libperl-critic-freenode-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libperl-critic-freenode-perl deb package:
    # sudo apt-get install libperl-critic-freenode-perl

Files

Path
/usr/share/doc/libperl-critic-freenode-perl/CONTRIBUTING.md.gz
/usr/share/doc/libperl-critic-freenode-perl/README
/usr/share/doc/libperl-critic-freenode-perl/changelog.Debian.gz
/usr/share/doc/libperl-critic-freenode-perl/changelog.gz
/usr/share/doc/libperl-critic-freenode-perl/copyright
/usr/share/man/man3/Perl::Critic::Freenode.3pm.gz
/usr/share/man/man3/Perl::Critic::Freenode::Utils.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::AmpersandSubCalls.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::ArrayAssignAref.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::BarewordFilehandles.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::ConditionalDeclarations.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::ConditionalImplicitReturn.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::DeprecatedFeatures.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::DiscouragedModules.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::DollarAB.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::Each.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::EmptyReturn.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::IndirectObjectNotation.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::LoopOnHash.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::ModPerl.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::OpenArgs.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::OverloadOptions.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::POSIXImports.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::PackageMatchesFilename.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::PreferredAlternatives.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::Prototypes.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::StrictWarnings.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::Threads.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::Wantarray.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::WarningsSwitch.3pm.gz
/usr/share/man/man3/Perl::Critic::Policy::Freenode::WhileDiamondDefaultAssignment.3pm.gz
/usr/share/perl5/Perl/Critic/Freenode.pm
/usr/share/perl5/Perl/Critic/Freenode/Utils.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/AmpersandSubCalls.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/ArrayAssignAref.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/BarewordFilehandles.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/ConditionalDeclarations.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/ConditionalImplicitReturn.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/DeprecatedFeatures.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/DiscouragedModules.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/DollarAB.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/Each.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/EmptyReturn.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/IndirectObjectNotation.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/LoopOnHash.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/ModPerl.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/OpenArgs.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/OverloadOptions.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/POSIXImports.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/PackageMatchesFilename.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/PreferredAlternatives.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/Prototypes.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/StrictWarnings.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/Threads.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/Wantarray.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/WarningsSwitch.pm
/usr/share/perl5/Perl/Critic/Policy/Freenode/WhileDiamondDefaultAssignment.pm

Changelog

2018-12-21 - gregor herrmann <gregoa@debian.org>
libperl-critic-freenode-perl (0.028-1) unstable; urgency=medium
* Team upload.
* Import upstream version 0.028.
* Declare compliance with Debian Policy 4.2.1.
* Update (build) dependencies.
2018-07-27 - Dmitry Smirnov <onlyjob@debian.org>
libperl-critic-freenode-perl (0.027-1) unstable; urgency=medium
* New upstream release [June 2018].
* (Build-)Depends:
+ libperl-critic-policy-variables-prohibitlooponhash-perl
2018-05-30 - Dmitry Smirnov <onlyjob@debian.org>
libperl-critic-freenode-perl (0.026-1) unstable; urgency=low
* Initial release (Closes: #900413).

See Also

Package Description
libperl-critic-perl_1.132-1_all.deb Perl module to critique code for best practices
libperl-critic-policy-variables-prohibitlooponhash-perl_0.007-1_all.deb Perl::Critic policy to avoid writing loops on hashes
libperl-critic-pulp-perl_96-1_all.deb add-on policies for Perl::Critic
libperl-destruct-level-perl_0.02-2+b6_i386.deb Perl module to change Perl's destruction level
libperl-dev_5.28.1-6_i386.deb Perl library: development files
libperl-metrics-simple-perl_0.18-1_all.deb module to provide metrics of Perl code
libperl-minimumversion-perl_1.38-2_all.deb module to determine minimum required version of perl required
libperl-osnames-perl_0.11-1_all.deb Perl module to list possible $^O ($OSNAME) values with description
libperl-prereqscanner-perl_1.023-1_all.deb module for extracting prerequisites from Perl code
libperl-version-perl_1.013-2_all.deb module to parse and manipulate Perl version strings
libperl4-corelibs-perl_0.004-1_all.deb libraries historically supplied with Perl 4
libperl4caml-ocaml-dev_0.9.5-5+b4_i386.deb Use Perl code in OCaml programs, development files
libperl4caml-ocaml-doc_0.9.5-5_all.deb Use Perl code in OCaml programs, documentation
libperl4caml-ocaml_0.9.5-5+b4_i386.deb Use Perl code in OCaml programs, runtime library
libperl5.28_5.28.1-6_i386.deb shared Perl library
Advertisement
Advertisement